<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0//EN'>
<!--
	Tomato GUI
	Copyright (C) 2006-2009 Jonathan Zarate
	http://www.polarcloud.com/tomato/

	For use with Tomato Firmware only.
	No part of this file may be used without permission.
-->
<html>
<head>
<meta http-equiv='content-type' content='text/html;charset=utf-8'>
<meta name='robots' content='noindex,nofollow'>
<title>[<% ident(); %>] Zaawansowane: Wi-Fi</title>
<link rel='stylesheet' type='text/css' href='tomato.css'>
<link rel='stylesheet' type='text/css' href='color.css'>
<script type='text/javascript' src='tomato.js'></script>

<!-- / / / -->

<script type='text/javascript' src='debug.js'></script>

<script type='text/javascript'>

//	<% nvram("security_mode,wl_afterburner,wl_antdiv,wl_ap_isolate,wl_auth,wl_bcn,wl_dtim,wl_frag,wl_frameburst,wl_gmode_protection,wl_plcphdr,wl_rate,wl_rateset,wl_rts,wl_txant,wl_wme,wl_wme_no_ack,wl_txpwr,wl_mrate,t_features,wl_distance,wl_maxassoc,wlx_hpamp,wlx_hperx"); %>

hp = features('hpamp');

function verifyFields(focused, quiet)
{
	if (!v_range('_f_distance', quiet, 0, 99999)) return 0;
	if (!v_range('_wl_maxassoc', quiet, 0, 255)) return 0;
	if (!v_range('_wl_bcn', quiet, 1, 65535)) return 0;
	if (!v_range('_wl_dtim', quiet, 1, 255)) return 0;
	if (!v_range('_wl_frag', quiet, 256, 2346)) return 0;
	if (!v_range('_wl_rts', quiet, 0, 2347)) return 0;
	if (!v_range(E('_wl_txpwr'), quiet, 1, 251)) return 0;

	E('_wl_wme_no_ack').disabled = E('_wl_wme').selectedIndex != 1;
	return 1;
}

function save()
{
	var fom;
	var n;

	if (!verifyFields(null, false)) return;

	fom = E('_fom');
	n = fom._f_distance.value * 1;
	fom.wl_distance.value = n ? n : '';

	if (hp) {
		if ((fom.wlx_hpamp.value != nvram.wlx_hpamp) || (fom.wlx_hperx.value != nvram.wlx_hperx)) {
			fom._service.disabled = 1;
			fom._reboot.value = 1;
			form.submit(fom, 0);
			return;
		}
	}
	else {
		fom.wlx_hpamp.disabled = 1;
		fom.wlx_hperx.disabled = 1;
	}

	form.submit(fom, 1);
}
</script>

</head>
<body>
<form id='_fom' method='post' action='tomato.cgi'>
<table id='container' cellspacing=0>
<tr><td colspan=2 id='header'>
	<div class='title'>Tomato PL</div>
	<div class='version'>Wersja <% version(); %> PL</div>
</td></tr>
<tr id='body'><td id='navi'><script type='text/javascript'>navi()</script></td>
<td id='content'>
<div id='ident'><% ident(); %></div>

<!-- / / / -->

<input type='hidden' name='_nextpage' value='advanced-wireless.asp'>
<input type='hidden' name='_nextwait' value='10'>
<input type='hidden' name='_service' value='*'>
<input type='hidden' name='_reboot' value='0'>

<input type='hidden' name='wl_distance'>

<div class='section-title'>Ustawienia</div>
<div class='section'>
<script type='text/javascript'>
at = ((nvram.security_mode != "wep") && (nvram.security_mode != "radius") && (nvram.security_mode != "disabled"));
createFieldTable('', [
	{ title: 'Dopalacz', name: 'wl_afterburner', type: 'select', options: [['auto','Automatycznie'],['on','Załączony'],['off','Wyłączony *']],
		value: nvram.wl_afterburner },
	{ title: 'Izolacja AP', name: 'wl_ap_isolate', type: 'select', options: [['0','Wyłączona *'],['1','Załączona']],
		value: nvram.wl_ap_isolate },
	{ title: 'Typ uwierzytelnienia', name: 'wl_auth', type: 'select',
		options: [['0','Automatycznie *'],['1','Dzielony klucz']], attrib: at ? 'disabled' : '',
		value: at ? 0 : nvram.wl_auth },
	{ title: 'Podstawowe prędkości', name: 'wl_rateset', type: 'select', options: [['default','Domyślna *'],['12','1-2 Mbps'],['all','Wszystkie']],
		value: nvram.wl_rateset },
	{ title: 'Interwał wysyłania ramek BEACKON', name: 'wl_bcn', type: 'text', maxlen: 5, size: 7,
		suffix: ' <small>(zakres: 1 - 65535; domyślnie: 100)</small>', value: nvram.wl_bcn },
	{ title: 'Tryb ochrony CTS', name: 'wl_gmode_protection', type: 'select', options: [['off','Wyłączony *'],['auto','Automatycznie']],
		value: nvram.wl_gmode_protection },
	{ title: 'Koordynacja dystans / ACK', name: 'f_distance', type: 'text', maxlen: 5, size: 7,
		suffix: ' <small>metrów</small>&nbsp;&nbsp;<small>(zakres: 0 - 99999; 0 = użyj domyślnego)</small>',
			value: (nvram.wl_distance == '') ? '0' : nvram.wl_distance },
	{ title: 'Interwał DTIM', name: 'wl_dtim', type: 'text', maxlen: 3, size: 5,
		suffix: ' <small>(zakres: 1 - 255; domyślnie: 1)</small>', value: nvram.wl_dtim },
	{ title: 'Próg fragmentacji', name: 'wl_frag', type: 'text', maxlen: 4, size: 6,
		suffix: ' <small>(zakres: 256 - 2346; domyślnie: 2346)</small>', value: nvram.wl_frag },
	{ title: 'Ramki wiązane', name: 'wl_frameburst', type: 'select', options: [['off','Wyłączone *'],['on','Załączone']],
		value: nvram.wl_frameburst },
	{ title: 'HP', hidden: !hp },
		{ title: 'Wzmacniacz', indent: 2, name: 'wlx_hpamp', type: 'select', options: [['0','Wyłączony'],['1','Załączony *']],
			value: nvram.wlx_hpamp != '0', hidden: !hp },
		{ title: 'Rozszerzona czułość RX', indent: 2, name: 'wlx_hperx', type: 'select', options: [['0','Wyłączona *'],['1','Załączona']],
			value: nvram.wlx_hperx != '0', hidden: !hp },
	{ title: 'Maksymalna liczba klientów', name: 'wl_maxassoc', type: 'text', maxlen: 3, size: 5,
		suffix: ' <small>(zakres: 1 - 255; domyślnie: 128)</small>', value: nvram.wl_maxassoc },
	{ title: 'Szybkość multicastu', name: 'wl_mrate', type: 'select',
		options: [['0','Automatycznie *'],['1000000','1 Mbps'],['2000000','2 Mbps'],['5500000','5.5 Mbps'],['6000000','6 Mbps'],['9000000','9 Mbps'],['11000000','11 Mbps'],['12000000','12 Mbps'],['18000000','18 Mbps'],['24000000','24 Mbps'],['36000000','36 Mbps'],['48000000','48 Mbps'],['54000000','54 Mbps']],
		value: nvram.wl_mrate },
	{ title: 'Preambuła', name: 'wl_plcphdr', type: 'select', options: [['long','Długa *'],['short','Krótka']],
		value: nvram.wl_plcphdr },
	{ title: 'Próg RTS', name: 'wl_rts', type: 'text', maxlen: 4, size: 6,
		suffix: ' <small>(zakres: 0 - 2347; domyślnie: 2347)</small>', value: nvram.wl_rts },
	{ title: 'Antena odbiorcza', name: 'wl_antdiv', type: 'select', options: [['3','Automatycznie *'],['1','A'],['0','B']],
		value: nvram.wl_antdiv },
	{ title: 'Antena nadawcza', name: 'wl_txant', type: 'select', options: [['3','Automatycznie *'],['1','A'],['0','B']],
		value: nvram.wl_txant },
	{ title: 'Moc nadawania', name: 'wl_txpwr', type: 'text', maxlen: 3, size: 5,
		suffix: hp ?
			' <small>mW (przed wzmocnieniem)</small>&nbsp;&nbsp;<small>(zakres: 1 - 251; domyślnie: 10)</small>' :
			' <small>mW</small>&nbsp;&nbsp;<small>(zakres: 1 - 251; domyślnie: 42)</small>',
			value: nvram.wl_txpwr },
	{ title: 'Szybkość transmisji', name: 'wl_rate', type: 'select',
		options: [['0','Automatycznie *'],['1000000','1 Mbps'],['2000000','2 Mbps'],['5500000','5.5 Mbps'],['6000000','6 Mbps'],['9000000','9 Mbps'],['11000000','11 Mbps'],['12000000','12 Mbps'],['18000000','18 Mbps'],['24000000','24 Mbps'],['36000000','36 Mbps'],['48000000','48 Mbps'],['54000000','54 Mbps']],
		value: nvram.wl_rate },
	{ title: 'WMM', name: 'wl_wme', type: 'select', options: [['off','Wyłączony *'],['on','Załączony']], value: nvram.wl_wme },
	{ title: 'Bez ACK', name: 'wl_wme_no_ack', indent: 2, type: 'select', options: [['off','Wyłączony *'],['on','Załączony']],
		value: nvram.wl_wme_no_ack }
]);
</script>
</div>
<small>Domyślne ustawienia są zaznaczone symbolem <b style='font-size: 1.5em'>*</b> gwiazdki.</small>

<!-- / / / -->

</td></tr>
<tr><td id='footer' colspan=2>
	<span id='footer-msg'></span>
	<input type='button' value='Zapisz' id='save-button' onclick='save()'>
	<input type='button' value='Anuluj' id='cancel-button' onclick='reloadPage();'>
</td></tr>
</table>
</form>
<script type='text/javascript'>verifyFields(null, 1);</script>
</body>
</html>
